package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IEnum;

/**
 * @auther zhongcp
 * @create 2022 2022/3/7 2:30 下午
 * @describe
 */
public enum PrizeStorageStatusEnum implements IEnum<Integer> {

  NOT_DISTRIBUTED(1, "待提货"),
  HAS_DISTRIBUTED(2, "已提货"),
  RECOVERY(3,"已回收");


  private final int value;
  private final String desc;

  PrizeStorageStatusEnum(int value, String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }


  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value", value);
    object.put("desc", desc);
    return object.toString();
  }
}
